summaryrefslogtreecommitdiffstats
path: root/src/kash/tests/trap-term-1
diff options
context:
space:
mode:
Diffstat (limited to 'src/kash/tests/trap-term-1')
-rwxr-xr-xsrc/kash/tests/trap-term-16
1 files changed, 6 insertions, 0 deletions
diff --git a/src/kash/tests/trap-term-1 b/src/kash/tests/trap-term-1
new file mode 100755
index 0000000..e9e94d5
--- /dev/null
+++ b/src/kash/tests/trap-term-1
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+trap 'echo "trap-term-1: caught SIGTERM"; exit 0' TERM
+kill -TERM $$
+exit 2
+